# searchPropertyTags

Search your organization's property tags and lists by name. Use a tag id with addPropertyTags and a list id with addPropertiesToList.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "searchPropertyTags", "variables": {...} }`
- Scope: `READ`
- Type: query
- Idempotency: a read; rejects `Idempotency-Key`
- Rate-limited: no

## Variables

- `searchTerm`: `String!` (required)

## Response (data, an example)

```json
{
  "property": {
    "searchTags": {
      "tags": [
        {
          "id": "<ID>",
          "name": "…",
          "folderId": "<ID>"
        }
      ],
      "lists": [
        {
          "id": "<ID>",
          "name": "…",
          "folderId": "<ID>"
        }
      ]
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "operationId": "searchPropertyTags",
    "variables": {
      "searchTerm": "<String>"
    }
  }'
```
